This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1275444 - coccinelle-1.0.3 is available
coccinelle-1.0.3 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coccinelle (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 20:11 EDT by Upstream Release Monitoring
Modified: 2015-10-27 08:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-27 07:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 1.0.3 (#1275444) (1.05 KB, patch)
2015-10-26 20:11 EDT, Upstream Release Monitoring
no flags Details | Diff
0001-New-upstream-version-1.0.3.patch (2.74 KB, patch)
2015-10-27 06:12 EDT, Richard W.M. Jones
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-10-26 20:11:30 EDT
Latest upstream release: 1.0.3
Current version/release in rawhide: 1.0.2-1.fc24
URL: http://coccinelle.lip6.fr/download.php

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-10-26 20:11:51 EDT
Created attachment 1086635 [details]
[patch] Update to 1.0.3 (#1275444)
Comment 2 Upstream Release Monitoring 2015-10-26 20:17:42 EDT
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11590387
Comment 3 Richard W.M. Jones 2015-10-27 06:12 EDT
Created attachment 1086803 [details]
0001-New-upstream-version-1.0.3.patch

Multiple issues with building this:

 - Incompatible with the latest menhir.

 - Bundles binaries(!) of pycaml & parmap.

 - 'make install' rule is broken.

I have asked on the mailing list about the menhir problem.
Comment 4 Richard W.M. Jones 2015-10-27 07:58:06 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=11598097

Note the new 'spgen' program is packaged, but is broken.  I've
reported this upstream.
Comment 5 Richard W.M. Jones 2015-10-27 08:59:54 EDT
This build actually worked:

http://koji.fedoraproject.org/koji/taskinfo?taskID=11598541

Note You need to log in before you can comment on or make changes to this bug.